tea.h File Reference

Classes for the TEA, BTEA and XTEA block ciphers. More...

Go to the source code of this file.

## Classes

struct | TEA_Info
| TEA block cipher information. More...
class | TEA
| TEA block cipher. More...
struct | XTEA_Info
| XTEA block cipher information. More...
class | XTEA
| XTEA block cipher. More...
struct | BTEA_Info
| BTEA block cipher information. More...
class | BTEA
| BTEA block cipher. More...

## Typedefs

typedef TEA::Encryption | TEAEncryption
typedef TEA::Decryption | TEADecryption

## Detailed Description

Classes for the TEA, BTEA and XTEA block ciphers.

Definition in file tea.h.

## Typedef Documentation

## TEAEncryption

typedef TEA::Encryption TEAEncryption

Definition at line 59 of file tea.h.

## TEADecryption

typedef TEA::Decryption TEADecryption

Definition at line 60 of file tea.h.